LP#1392759 dev/packager Makefile.install additions
[working/Evergreen.git] / Open-ILS / src / extras / install / Makefile.ubuntu-trusty
1 # install files for Ubuntu 14.04 LTS Trusty Tahr
2
3 DIR = $(dir $(lastword $(MAKEFILE_LIST)))
4
5 export DEB_PGSQL_COMMON_MODS = \
6         gcc \
7         libbusiness-isbn-perl \
8         libjson-xs-perl \
9         liblibrary-callnumber-lc-perl \
10         libmarc-record-perl \
11         libmarc-xml-perl \
12         librose-uri-perl \
13         libuuid-tiny-perl \
14         libxml-libxml-perl \
15         libxml-libxslt-perl
16
17 export DEBS = \
18         $(DEB_PGSQL_COMMON_MODS) \
19         apache2-prefork-dev\
20         aspell\
21         aspell-en\
22         libbusiness-creditcard-perl\
23         libbusiness-edi-perl \
24         libbusiness-isbn-data-perl\
25         libbusiness-issn-perl\
26         libbusiness-onlinepayment-authorizenet-perl\
27         libbusiness-onlinepayment-perl\
28         libdate-manip-perl\
29         libdatetime-format-builder-perl\
30         libdatetime-format-iso8601-perl\
31         libdatetime-format-mail-perl\
32         libdatetime-perl\
33         libdatetime-set-perl\
34         libdatetime-timezone-perl\
35         libdbd-pg-perl\
36         libdbd-pgsql \
37         libdbi-dev \
38         libemail-send-perl\
39         libemail-simple-perl\
40         libexcel-writer-xlsx-perl\
41         libgd-graph3d-perl\
42         liblocale-maketext-lexicon-perl\
43         liblog-log4perl-perl\
44         libmarc-charset-perl \
45         libncurses5-dev\
46         libnet-https-any-perl \
47         libnet-ip-perl\
48         libnet-ldap-perl \
49         libnet-server-perl\
50         libnet-ssh2-perl\
51         libnet-z3950-simple2zoom-perl\
52         libnet-z3950-simpleserver-perl\
53         libnet-z3950-zoom-perl \
54         libnspr4-dev\
55         libole-storage-lite-perl\
56         libbz2-dev \
57         libpq5\
58         libpq-dev\
59         librpc-xml-perl\
60         libsru-perl\
61         libssh2-1-dev\
62         libtemplate-plugin-posix-perl\
63         libtest-output-perl\
64         libtext-aspell-perl\
65         libtext-csv-perl\
66         libuniversal-require-perl\
67         libunix-syslog-perl\
68         libyaz-dev\
69         postgresql-client-9.3\
70         libsoap-lite-perl\
71         libtest-warn-perl\
72         libparse-recdescent-perl\
73         yaz
74
75 export DEB_APACHE_MODS = \
76     cgi\
77     expires\
78     include\
79     proxy\
80     proxy_http\
81     rewrite
82
83 export DEB_APACHE_DISMODS = \
84     deflate
85
86 export DEB_APACHE_DISCONF = \
87     serve-cgi-bin
88
89 export CPAN_MODULES = \
90         Business::CreditCard::Object \
91         Business::OnlinePayment::PayPal \
92         Safe
93
94 export CPAN_MODULES_FORCE = \
95         Business::Stripe \
96         Class::DBI::Frozen::301
97
98 PGSQL_SERVER_DEBS_93 = \
99         $(DEB_PGSQL_COMMON_MODS) \
100         postgresql-9.3 \
101         postgresql-contrib-9.3 \
102         postgresql-plperl-9.3 \
103         postgresql-server-dev-9.3
104
105 # note: some prereqs are repeated in the developer/packager 
106 # sections to support building Evergreen packages on servers
107 # where Evergreen and its prereqs are not installed.
108
109 # nodejs-legacy creates a symlink for /usr/bin/node -> /usr/bin/nodejs
110 # which is needed by our npm-installed packages
111 DEVELOPER_DEBS = \
112         make \
113         automake \
114         autoconf \
115         libtool \
116         nodejs-legacy \
117         npm
118
119 PACKAGER_DEBS = \
120         libtemplate-perl \
121         liblocale-maketext-lexicon-perl \
122         asciidoc \
123         source-highlight \
124         translate-toolkit \
125         python-dev \
126         python-levenshtein \
127         python-polib \
128         python-setuptools \
129         python-simplejson \
130         python-lxml \
131         zip \
132         unzip \
133         nsis
134
135 all:
136         make -f $(DIR)/Makefile.debian install_debs
137         make -f $(DIR)/Makefile.debian test_for_libdbi_pkg
138         make -f $(DIR)/Makefile.common install_cpan
139         make -f $(DIR)/Makefile.common install_cpan_force
140         make -f $(DIR)/Makefile.debian install_js_sm
141         make -f $(DIR)/Makefile.debian debian_sys_config
142
143 install_postgres_server:
144         make -f $(DIR)/Makefile.debian DEBS="$(PGSQL_SERVER_DEBS_93)"
145
146 # note: if/when grunt-cli and bower are available as 
147 # packages, use the packaged versions instead.
148 install_developer:
149         make -f $(DIR)/Makefile.debian DEBS="$(DEVELOPER_DEBS)"
150         npm update
151         npm install -g grunt-cli
152         npm install -g bower
153
154 install_packager: install_developer
155         make -f $(DIR)/Makefile.debian DEBS="$(PACKAGER_DEBS)"
156
157 clean:
158         make -f $(DIR)/Makefile.common clean
159         make -f $(DIR)/Makefile.debian clean
160
161 # vim:noet:sw=4:ts=4: